//
//  CustomAttachParser.m
//  nim_fluttify
//
//  Created by Yohom Bao on 2020/6/18.
//

#import "CustomAttachParser.h"
#import "CustomAttachment.h"

@implementation CustomAttachParser

- (nullable id<NIMCustomAttachment>)decodeAttachment:(nullable NSString *)content {
    if (content != nil) {
        CustomAttachment* attachment = [[CustomAttachment alloc] init];
        attachment.customEncodeString = content;
        return attachment;
    } else {
        return nil;
    }
}

@end
