enum StatusType {
  // 未登录
  not_logged,
  // 正在连接服务器
  connecting,
  // 正在登录
  logining,
  // 已登录
  logged,
  // 登录失败
  login_failed,
  // 正在同步
  syncing,
  // 网络连接断开
  net_broken,
}

enum SessionType {
  // 单聊
  p2p,
  // 群聊
  team,
  // 聊天室
  chatroom,
}

enum P2PVerifyType {
  // 直接加对方为好友
  direct,
  // 发起好友验证请求
  request,
}

enum Gender {
  male,
  female,
  unknown,
}

/// 被踢出原因
enum KickOutReason {
  // 被添加黑名单
  black_list,
  // 聊天室被解散
  invalid_room,
  // 被其他端踢出
  conflict_login,
  // 被管理员踢出
  by_manager,
  // 未知原因
  unknown,
}
